$fn = 21;
m4_screw_radius = 4.826/2;
m4_hole_radius = m4_screw_radius * 1.20; 

rail_width = 20;

thickness = 4.0;

//m4 washer for 2020 rail
rounding_radius = 3;
  
difference(){
  translate([rounding_radius, rounding_radius,0,]){
    minkowski(){
      cube([(rail_width - rounding_radius *2 - 1),(rail_width - rounding_radius *2 - 1), thickness]);
      cylinder(r = rounding_radius, h = 1);
    }
  }

  translate([(rail_width - 1)/2,(rail_width - 1)/2,-1]){    
      cylinder(r = m4_hole_radius , h = thickness * 9);
  }  
}
